Package oracle.jdbc

## Interface OracleCommonStatement

All Superinterfaces:
  `java.lang.AutoCloseable`, `java.sql.Statement`, `java.sql.Wrapper`

All Known Subinterfaces:
  `OracleCallableStatement`, `OracleCommonPreparedStatement`, `OraclePreparedStatement`, `OracleStatement`

    public interface OracleCommonStatement
    extends java.sql.Statement

Interface that defines the methods which are common between `OracleStatement` and `oracle.nucleo.jdbc.NucleoStatement`.

Since:
  23

### Field Summary

### Fields inherited from interface java.sql.Statement

`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `continueOnError​(ErrorSet errorSet)` Configures a set of recoverable errors for asynchronous execution of this statement, and any result sets subsequently created by this statement.

### Methods inherited from interface java.sql.Statement

`addBatch, cancel, clearBatch, clearWarnings, close, closeOnCompletion, enquoteIdentifier, enquoteLiteral, enquoteNCharLiteral, execute, execute, execute, execute, executeBatch, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getLargeMaxRows, getLargeUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, isSimpleIdentifier, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Method Detail

#### continueOnError

    void continueOnError​(ErrorSet errorSet)
                  throws java.sql.SQLException

Configures a set of recoverable errors for asynchronous execution of this statement, and any result sets subsequently created by this statement. If asynchronous execution of this statement or one of its result sets fails with an error that is not contained in the given `errorSet`, then the execution all subsequent asynchronous operations are aborted until the next `OracleCommonConnection.resume()`.

If this method is never called, then the set of recoverable errors is configured by `OracleCommonConnection.continueOnError(ErrorSet)`.

Calling this method does not affect any existing result set.

Parameters:
  `errorSet` - the set of errors by this statement or its result sets which do not abort subsequent operations. Not null.
Throws:
  `java.sql.SQLException` - if a database access error occurs or this method is called on a closed Statement
  `java.lang.NullPointerException` - if the `continueOnErrorSet` is null
  `java.lang.IllegalArgumentException` - if the `continueOnErrorSet` is not supported. At a minimum, all drivers must support `ErrorSet.NO_ERRORS` and `ErrorSet.ALL_ERRORS`
Since:
  23